- name: custom-ruleset
  description: temp ruleset
  insights:
    python-sample-rule-001:
      description: ""
      category: potential
      incidents:
      - uri: file:///opt/input/source/file_a.py
        message: python sample rule 001
        codeSnip: "  1  import file_b\n  2  \n  3  print(file_b.hello_world())\n  4  \n  5  doggie = file_b.Dog()\n  6  print(doggie.speak())\n  7  \n  8  file_b.bad_method()\n"
        lineNumber: 3
        variables:
          file: file:///opt/input/source/file_a.py
    python-sample-rule-002:
      description: ""
      category: potential
      incidents:
      - uri: file:///opt/input/source/file_a.py
        message: python sample rule 002
        codeSnip: "  1  import file_b\n  2  \n  3  print(file_b.hello_world())\n  4  \n  5  doggie = file_b.Dog()\n  6  print(doggie.speak())\n  7  \n  8  file_b.bad_method()\n"
        lineNumber: 6
        variables:
          file: file:///opt/input/source/file_a.py
  unmatched:
  - python-sample-rule-003
